/*
 * usecase_dialog.h
 */
#ifndef USECASE_DIALOG_H
#define USECASE_DIALOG_H

#include <gtk/gtk.h>

#include "usecase.h"

typedef struct _ActorDialog   ActorDialog;
typedef struct _UsecaseDialog UsecaseDialog;
typedef struct _ArcDialog     ArcDialog;

/*
 * Actor Dialog
 */
struct _ActorDialog
{
  GtkWidget *window;
  GtkWidget *vbox;
  GtkWidget *hbox;
  GtkWidget *hbox2;
  GtkWidget *entry;

  GtkWidget *ok_button;
  GtkWidget *apply_button;
  GtkWidget *close_button;
};

/*
 * Usecase Dialog
 */
struct _UsecaseDialog
{
  GtkWidget *window;
  GtkWidget *vbox;
  GtkWidget *hbox;
  GtkWidget *hbox2;
  GtkWidget *entry;

  GtkWidget *ok_button;
  GtkWidget *apply_button;
  GtkWidget *close_button;
};

/*
 * Arc Dialog
 */
struct _ArcDialog
{
  GtkWidget *window;
  GtkWidget *vbox;
  GtkWidget *hbox;
  GtkWidget *hbox2;
  GtkWidget *entry;

  GtkWidget *ok_button;
  GtkWidget *apply_button;
  GtkWidget *close_button;
};

///////////////////////////// global functions ///////////////////////////////
void usecase_open_actor_dialog(int i);
void usecase_open_usecase_dialog(int i);
void usecase_open_arc_dialog(int i);

void usecase_open_file_selection_dialog();

#endif
