/*
 * usecase_draw.h
 */
#ifndef USECASE_DRAW_H
#define USECASE_DRAW_H

#include <gtk/gtk.h>

#include "usecase.h"

void usecase_draw_canvas_init();
void usecase_draw_refresh_all();

void usecase_draw_node(GdkPixmap *pixmap,
		       GdkGC *gc,
		       UsecaseNodeStruct *n_ptr);

void usecase_draw_actor(GdkPixmap *pixmap,
			GdkGC *gc,
			UsecaseNodeStruct *n_ptr);

void usecase_draw_usecase(GdkPixmap *pixmap,
			  GdkGC *gc,
			  UsecaseNodeStruct *n_ptr);

void usecase_draw_system(GdkPixmap *pixmap,
			  GdkGC *gc,
			  UsecaseSystemStruct *s_ptr);

void usecase_draw_arc(GdkPixmap *pixmap,
		      GdkGC *gc,
		      UsecaseArcStruct *a_ptr);

void usecase_draw_selected_node(GdkPixmap *pixmap,
				GdkGC *gc,
				UsecaseNodeStruct *n_ptr);

void usecase_draw_selected_system(GdkPixmap *pixmap,
				  GdkGC *gc,
				  UsecaseSystemStruct *s_ptr);

void usecase_draw_selected_str(GdkPixmap *pixmap,
			       GdkGC *gc,
			       GdkRectangle *rect);

void usecase_draw_selected_arc(GdkPixmap *pixmap,
			       UsecaseArcStruct *a_ptr);

void usecase_draw_white_node(GdkPixmap *pixmap,
			     UsecaseNodeStruct *n_ptr);

#endif
